Package org.apache.groovy.contracts.ast

# Class BaseASTTransformation

java.lang.Object
org.apache.groovy.contracts.ast.BaseASTTransformation

All Implemented Interfaces:
  `ASTTransformation`

Direct Known Subclasses:
  `ClosureExpressionEvaluationASTTransformation`, `GContractsASTTransformation`

public abstract class BaseASTTransformation extends Object implements ASTTransformation
Base AST transformation encapsulating all common helper methods and implementing `ASTTransformation`.

See Also:
  - `ASTTransformation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseASTTransformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ReaderSource`
  `getReaderSource(SourceUnit unit)`
  Reads the protected `source1` instance variable of `SourceUnit`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.transform.ASTTransformation

  `visit`

- ## Constructor Details

  - ### BaseASTTransformation

    public BaseASTTransformation()

- ## Method Details

  - ### getReaderSource

    protected ReaderSource getReaderSource(SourceUnit unit)
    Reads the protected `source1` instance variable of `SourceUnit`.
    Parameters:
      `unit` - the `SourceUnit` to retrieve the `ReaderSource` from
    Returns:
      the `ReaderSource` of the given `unit`.